Bug 233840 - archivers/dpkg: fix build with GCC-based architectures
Summary: archivers/dpkg: fix build with GCC-based architectures
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: --- Affects Only Me
Assignee: Steve Wills
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2018-12-06 23:57 UTC by Piotr Kubaj
Modified: 2018-12-09 03:01 UTC (History)
2 users (show)

See Also:
bugzilla: maintainer-feedback? (ndowens)


Attachments
patch (427 bytes, patch)
2018-12-06 23:57 UTC, Piotr Kubaj
ndowens: maintainer-approval+
Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Piotr Kubaj 2018-12-06 23:57:39 UTC
Created attachment 199914 [details]
patch

This port requires USES=compiler:c11 to build on GCC architectures.

Tested on powerpc64 and amd64.

Hardware sponsored by IntegriCloud.
Comment 1 Nathan 2018-12-07 00:11:35 UTC
(In reply to Piotr Kubaj from comment #0)
Which archs? I do not want to target every arch
Comment 2 Piotr Kubaj 2018-12-07 00:17:51 UTC
(In reply to Nathan from comment #1)
powerpc64 for sure, but errors like in https://talos.anongoth.pl/data/powerpc64-default/2018-12-05_22h39m09s/logs/errors/dpkg-1.19.2.log
method.h:65: error: expected ';' before 'override'In file included from pkgdepcon.cc:32:
pkglist.h:152: error: expected ';' before 'override'
pkglist.h:153: error: expected ';' before 'override'
pkglist.h:154: error: expected ';' before 'override'
pkglist.h:155: error: expected ';' before 'override'
pkglist.h:156: error: expected ';' before 'override'

are not architecture-dependant. I know you care about mips*, but this port probably won't build anyway on any platform with base GCC.
Comment 3 Nathan 2018-12-07 00:19:21 UTC
I can't + patch since there is no maintainer ? flag
Comment 4 Nathan 2018-12-07 00:23:14 UTC
Hoping to have newer GCC working on mips*, so approving
Comment 5 Mark Linimon freebsd_committer freebsd_triage 2018-12-07 01:07:53 UTC
(In reply to Nathan from comment #4)

fwiw, dpkg is Debian-specific and AFAIK we have no support for mips in our Linux emulation code.
Comment 6 commit-hook freebsd_committer 2018-12-09 03:00:16 UTC
A commit references this bug:

Author: swills
Date: Sun Dec  9 02:59:56 UTC 2018
New revision: 487014
URL: https://svnweb.freebsd.org/changeset/ports/487014

Log:
  archivers/dpkg: fix build with GCC-based architectures

  PR:		233840
  Submitted by:	Piotr Kubaj <pkubaj@anongoth.pl>
  Approved by:	Nathan <ndowens@yahoo.com> (maintainer)

Changes:
  head/archivers/dpkg/Makefile
Comment 7 Steve Wills freebsd_committer 2018-12-09 03:01:03 UTC
Committed, thanks!